<?php
	$core = cmsCore::getInstance();
	$core_url = $core->uri;
	$current_ctype = cmsModel::getCachedResult('current_ctype');
	$current_ctype_category = cmsModel::getCachedResult('current_ctype_category');
	$i = 0;
?>
<div class="widget_datasets" id="widget_datasets_<?php echo $widget->id; ?>">
    <ul>
        <?php foreach($datasets as $dataset){ ?>
			<?php 
				$ctype_dataset_url = $ctype_name.'-'.$dataset['name'];
				if($i++ == 0) {
					$ctype_dataset_url = $ctype_name;
				}
				if(!empty($current_ctype_category['slug'])){
					if($ctype_id != 0 && $current_ctype['id'] != $ctype_id){
						$dataset_url = $ctype_dataset_url;
					} else {
						$dataset_url = $ctype_dataset_url.'/'.$current_ctype_category['slug'];
					}
				} else {
					$dataset_url = $ctype_dataset_url;
				}
			?>
			<li class="<?php echo $dataset['name']; ?><?php if($core_url == $dataset_url) { ?> is_active<?php } ?>">
				<a class="item" href="/<?php echo $dataset_url; ?>">
					<?php echo $dataset['title']; ?>
				</a>
			</li>
		<?php } ?>
	</ul>
</div>
<style>
.widget_datasets ul {
	margin: 0;
	padding: 0;
}
.widget_datasets li {
	background: url("/templates/default/images/icons/folder.png") left center no-repeat;
	display: inline-block;
	list-style: none;
	margin: 2px 15px 2px 0;
	padding: 0 0 0 20px;
}
aside .widget_datasets li {
	display: block;
	margin: 0;
}
.widget_datasets ul li :hover {
	color: #d35400;
}
.widget_datasets ul li.is_active a {
	color: #34495e;
	pointer-events: none;
	text-decoration: none;
}
<?php if($core_url == $ctype_name || $core_url == $ctype_name.'/'.$current_ctype_category['slug']) { ?>
#widget_datasets_<?php echo $widget->id; ?>.widget_datasets ul li:first-child a {
	color: #34495e;
	pointer-events: none;
	text-decoration: none;
}
<?php } ?>
</style>